Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextPostingsFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsFormat
          org.apache.lucene.codecs.simpletext.SimpleTextPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class SimpleTextPostingsFormat

extends PostingsFormat

For debugging, curiosity, transparency only!! Do not use this codec in production.

This codec stores all postings data in a single human-readable text file (_N.pst). You can view this in any text editor, and even edit it to alter your index.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsFormat
`EMPTY`

Constructor Summary
`SimpleTextPostingsFormat()`

Method Summary
`FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` | `fieldsProducer(SegmentReadState state)`

Methods inherited from class org.apache.lucene.codecs.PostingsFormat
`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTextPostingsFormat

    public SimpleTextPostingsFormat()

Method Detail

### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

  Specified by:
    `fieldsConsumer` in class `PostingsFormat`
  Throws:
    `IOException`

### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

  Specified by:
    `fieldsProducer` in class `PostingsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.